Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQImageFormatPlugin Class Reference

The TQImageFormatPlugin class provides an abstract base for custom image format plugins. More...

`#include <ntqimageformatplugin.h>`

List of all member functions.

## Public Members

- TQImageFormatPlugin ()
- ~TQImageFormatPlugin ()
- virtual TQStringList keys () const = 0
- virtual bool installIOHandler ( const TQString & format ) = 0

## Detailed Description

The TQImageFormatPlugin class provides an abstract base for custom image format plugins.

The image format plugin is a simple plugin interface that makes it easy to create custom image formats that can be used transparently by applications.

Writing an image format plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and installIOHandler(), and exporting the class with the TQ_EXPORT_PLUGIN macro. See the Plugins documentation for details.

See also Plugins.

## Member Function Documentation

### TQImageFormatPlugin::TQImageFormatPlugin ()

Constructs an image format plugin. This is invoked automatically by the TQ_EXPORT_PLUGIN macro.

### TQImageFormatPlugin::~TQImageFormatPlugin ()

Destroys the image format plugin.

You never have to call this explicitly. TQt destroys a plugin automatically when it is no longer used.

### bool TQImageFormatPlugin::installIOHandler ( const TQString & format )`[pure virtual]`

Installs a TQImageIO image I/O handler for the image format format.

See also keys().

### TQStringList TQImageFormatPlugin::keys () const`[pure virtual]`

Returns the list of image formats this plugin supports.

See also installIOHandler().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.